package com.dlc.eboard.ui.widget

import com.rc.httpcore.vo.response.NoticeSummaryVo

/**
 * info
 *
 * @author ReiChin_
 */
interface ITitleBar {

    fun setSigned(signed: Boolean) {
    }

    fun setShowNotice(showNotice: Boolean) {
    }

    fun setTitleInfoFromSp() {
    }

    fun updateNotice(data: List<NoticeSummaryVo>?) {
    }

    fun refreshCountDownView(countDown: Int) {
    }

    fun setTitleListener(listener: TitleListener) {
    }

    interface TitleListener {
        fun onNoticeViewClicked()
    }

}